Upstream information

CVE-2016-2166 at MITRE

Description

The (1) proton.reactor.Connector, (2) proton.reactor.Container, and (3) proton.utils.BlockingConnection classes in Apache Qpid Proton before 0.12.1 improperly use an unencrypted connection for an amqps URI scheme when SSL support is unavailable, which might allow man-in-the-middle attackers to obtain sensitive information or modify data via unspecified vectors.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.76
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:H/A:N
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact High
Availability Impact None
SUSE Bugzilla entry: 973343

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • libqpid-proton-cpp6 >= 0.12.2-1.6
  • libqpid-proton6 >= 0.12.2-1.6
  • perl-qpid-proton >= 0.12.2-1.6
  • python-qpid-proton >= 0.12.2-1.6
  • python-qpid-proton-doc >= 0.12.2-1.6
  • qpid-proton >= 0.12.2-1.6
  • qpid-proton-devel >= 0.12.2-1.6
  • qpid-proton-devel-doc >= 0.12.2-1.6
Patchnames:
openSUSE Tumbleweed GA libqpid-proton-cpp6